#pragma once

#ifndef _LOAD_TGA
#define _LOAD_TGA

#include <stdio.h>
#include <memory.h>
#include <malloc.h>
#include <GL/glut.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct TGAImage
{
	GLubyte* data; //vettore per il colore dei pixel
	GLuint bpp; //bit per pixel (8,16,24 o 32)
	GLuint width; //larghezza in pixel
	GLuint height; //altezza in pixel
	GLuint size; //dimensione in byte dell'immagine
};

int loadTGA(const char* filename, struct TGAImage* image);

#ifdef __cplusplus
}
#endif

#endif